"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a10b740>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a10b880>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a10b7e0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a10b920>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a10b9c0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a10ba60>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a10bb00>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a10bba0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a10bc40>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a10bce0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a10bd80>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a10be20>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a10bec0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a10bf60>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16c040>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16c0e0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16c180>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16c220>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16c2c0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16c360>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16c400>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16c4a0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16c540>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16c5e0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16c680>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16c720>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16c7c0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16c860>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16c900>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16c9a0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16ca40>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16cae0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16cb80>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16cc20>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16ccc0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16cd60>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16ce00>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16cea0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16cf40>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16cfe0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16d080>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16d120>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16d1c0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16d260>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16d300>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16d3a0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16d440>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16d4e0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16d580>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16d620>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16d6c0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16d760>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16d800>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16d8a0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16d940>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16d9e0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16da80>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16db20>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16dbc0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16dc60>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16dd00>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16dda0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16de40>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16dee0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16df80>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16e020>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16e0c0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16e160>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16e200>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16e2a0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16e340>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16e3e0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16e480>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16e520>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16e5c0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16e660>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16e700>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16e7a0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16e840>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16e980>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16e8e0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16ea20>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16eac0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16eb60>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a16ec00>)]
name: str = 'fr_HOCCN'
